<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CorpUpgradeName](./bitburner.corpupgradename.md)

## CorpUpgradeName type


**Signature:**

```typescript
type CorpUpgradeName =
  | "Smart Factories"
  | "Smart Storage"
  | "Wilson Analytics"
  | "Nuoptimal Nootropic Injector Implants"
  | "Speech Processor Implants"
  | "Neural Accelerators"
  | "FocusWires"
  | "ABC SalesBots"
  | "Project Insight";
```
